\subsection{Pulse counter registers}
\label{app:pulse-cnt}
Registers containing the values for input and output generated pulses
\subsubsection{Memory map summary}
\rowcolors{2}{gray!25}{white}
\resizebox{\textwidth}{!}{
\begin{tabular}{|l|l|l|l|l|}
\rowcolor{gray}
\color{white} SW Offset & \color{white} Type & \color{white} Name &
\color{white} HW prefix & \color{white} C prefix\\
0x0& REG & TTLCH1OCR & pulse\_cnt\_ttlch1o & TTLCH1O\\
0x4& REG & TTLCH1ICR & pulse\_cnt\_ttlch1i & TTLCH1I\\
0x8& REG & TTLCH2OCR & pulse\_cnt\_ttlch2o & TTLCH2O\\
0xc& REG & TTLCH2ICR & pulse\_cnt\_ttlch2i & TTLCH2I\\
0x10& REG & TTLCH3OCR & pulse\_cnt\_ttlch3o & TTLCH3O\\
0x14& REG & TTLCH3ICR & pulse\_cnt\_ttlch3i & TTLCH3I\\
0x18& REG & TTLCH4OCR & pulse\_cnt\_ttlch4o & TTLCH4O\\
0x1c& REG & TTLCH4ICR & pulse\_cnt\_ttlch4i & TTLCH4I\\
0x20& REG & TTLCH5OCR & pulse\_cnt\_ttlch5o & TTLCH5O\\
0x24& REG & TTLCH5ICR & pulse\_cnt\_ttlch5i & TTLCH5I\\
0x28& REG & TTLCH6OCR & pulse\_cnt\_ttlch6o & TTLCH6O\\
0x2c& REG & TTLCH6ICR & pulse\_cnt\_ttlch6i & TTLCH6I\\
0x30& REG & INVTTLCHAOCR & pulse\_cnt\_invttlchao & INVTTLCHAO\\
0x34& REG & INVTTLCHAICR & pulse\_cnt\_invttlchai & INVTTLCHAI\\
0x38& REG & INVTTLCHBOCR & pulse\_cnt\_invttlchbo & INVTTLCHBO\\
0x3c& REG & INVTTLCHBICR & pulse\_cnt\_invttlchbi & INVTTLCHBI\\
0x40& REG & INVTTLCHCOCR & pulse\_cnt\_invttlchco & INVTTLCHCO\\
0x44& REG & INVTTLCHCICR & pulse\_cnt\_invttlchci & INVTTLCHCI\\
0x48& REG & INVTTLCHDOCR & pulse\_cnt\_invttlchdo & INVTTLCHDO\\
0x4c& REG & INVTTLCHDICR & pulse\_cnt\_invttlchdi & INVTTLCHDI\\
0x50& REG & REARCH1OCR & pulse\_cnt\_rearch1o & REARCH1O\\
0x54& REG & REARCH1ICR & pulse\_cnt\_rearch1i & REARCH1I\\
0x58& REG & REARCH2OCR & pulse\_cnt\_rearch2o & REARCH2O\\
0x5c& REG & REARCH2ICR & pulse\_cnt\_rearch2i & REARCH2I\\
0x60& REG & REARCH3OCR & pulse\_cnt\_rearch3o & REARCH3O\\
0x64& REG & REARCH3ICR & pulse\_cnt\_rearch3i & REARCH3I\\
0x68& REG & REARCH4OCR & pulse\_cnt\_rearch4o & REARCH4O\\
0x6c& REG & REARCH4ICR & pulse\_cnt\_rearch4i & REARCH4I\\
0x70& REG & REARCH5OCR & pulse\_cnt\_rearch5o & REARCH5O\\
0x74& REG & REARCH5ICR & pulse\_cnt\_rearch5i & REARCH5I\\
0x78& REG & REARCH6OCR & pulse\_cnt\_rearch6o & REARCH6O\\
0x7c& REG & REARCH6ICR & pulse\_cnt\_rearch6i & REARCH6I\\
\hline
\end{tabular}
}

\subsubsection{Register description}
\paragraph*{TTLCH1OCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_ttlch1o\\
{\bf HW address:}  & 0x0\\
{\bf SW prefix:}  & TTLCH1O\\
{\bf SW offset:}  & 0x0\\
\end{tabular}

\vspace{12pt}
TTL CH1 output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH1O[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH1O[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH1O[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH1O[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TTLCH1O
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{TTLCH1ICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_ttlch1i\\
{\bf HW address:}  & 0x1\\
{\bf SW prefix:}  & TTLCH1I\\
{\bf SW offset:}  & 0x4\\
\end{tabular}

\vspace{12pt}
TTL CH1 input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH1I[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH1I[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH1I[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH1I[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TTLCH1I
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{TTLCH2OCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_ttlch2o\\
{\bf HW address:}  & 0x2\\
{\bf SW prefix:}  & TTLCH2O\\
{\bf SW offset:}  & 0x8\\
\end{tabular}

\vspace{12pt}
TTL CH2 output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH2O[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH2O[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH2O[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH2O[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TTLCH2O
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{TTLCH2ICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_ttlch2i\\
{\bf HW address:}  & 0x3\\
{\bf SW prefix:}  & TTLCH2I\\
{\bf SW offset:}  & 0xc\\
\end{tabular}

\vspace{12pt}
TTL CH2 input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH2I[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH2I[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH2I[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH2I[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TTLCH2I
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{TTLCH3OCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_ttlch3o\\
{\bf HW address:}  & 0x4\\
{\bf SW prefix:}  & TTLCH3O\\
{\bf SW offset:}  & 0x10\\
\end{tabular}

\vspace{12pt}
TTL CH3 output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH3O[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH3O[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH3O[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH3O[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TTLCH3O
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{TTLCH3ICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_ttlch3i\\
{\bf HW address:}  & 0x5\\
{\bf SW prefix:}  & TTLCH3I\\
{\bf SW offset:}  & 0x14\\
\end{tabular}

\vspace{12pt}
TTL CH3 input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH3I[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH3I[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH3I[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH3I[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TTLCH3I
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{TTLCH4OCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_ttlch4o\\
{\bf HW address:}  & 0x6\\
{\bf SW prefix:}  & TTLCH4O\\
{\bf SW offset:}  & 0x18\\
\end{tabular}

\vspace{12pt}
TTL CH4 output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH4O[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH4O[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH4O[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH4O[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TTLCH4O
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{TTLCH4ICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_ttlch4i\\
{\bf HW address:}  & 0x7\\
{\bf SW prefix:}  & TTLCH4I\\
{\bf SW offset:}  & 0x1c\\
\end{tabular}

\vspace{12pt}
TTL CH4 input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH4I[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH4I[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH4I[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH4I[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TTLCH4I
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{TTLCH5OCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_ttlch5o\\
{\bf HW address:}  & 0x8\\
{\bf SW prefix:}  & TTLCH5O\\
{\bf SW offset:}  & 0x20\\
\end{tabular}

\vspace{12pt}
TTL CH5 output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH5O[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH5O[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH5O[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH5O[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TTLCH5O
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{TTLCH5ICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_ttlch5i\\
{\bf HW address:}  & 0x9\\
{\bf SW prefix:}  & TTLCH5I\\
{\bf SW offset:}  & 0x24\\
\end{tabular}

\vspace{12pt}
TTL CH5 input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH5I[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH5I[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH5I[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH5I[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TTLCH5I
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{TTLCH6OCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_ttlch6o\\
{\bf HW address:}  & 0xa\\
{\bf SW prefix:}  & TTLCH6O\\
{\bf SW offset:}  & 0x28\\
\end{tabular}

\vspace{12pt}
TTL CH6 output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH6O[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH6O[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH6O[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH6O[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TTLCH6O
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{TTLCH6ICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_ttlch6i\\
{\bf HW address:}  & 0xb\\
{\bf SW prefix:}  & TTLCH6I\\
{\bf SW offset:}  & 0x2c\\
\end{tabular}

\vspace{12pt}
TTL CH6 input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH6I[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH6I[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH6I[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}TTLCH6I[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
TTLCH6I
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{INVTTLCHAOCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_invttlchao\\
{\bf HW address:}  & 0xc\\
{\bf SW prefix:}  & INVTTLCHAO\\
{\bf SW offset:}  & 0x30\\
\end{tabular}

\vspace{12pt}
INV-TTL CHA output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHAO[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHAO[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHAO[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHAO[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
INVTTLCHAO
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{INVTTLCHAICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_invttlchai\\
{\bf HW address:}  & 0xd\\
{\bf SW prefix:}  & INVTTLCHAI\\
{\bf SW offset:}  & 0x34\\
\end{tabular}

\vspace{12pt}
INV-TTL CHA input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHAI[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHAI[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHAI[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHAI[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
INVTTLCHAI
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{INVTTLCHBOCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_invttlchbo\\
{\bf HW address:}  & 0xe\\
{\bf SW prefix:}  & INVTTLCHBO\\
{\bf SW offset:}  & 0x38\\
\end{tabular}

\vspace{12pt}
INV-TTL CHB output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHBO[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHBO[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHBO[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHBO[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
INVTTLCHBO
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{INVTTLCHBICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_invttlchbi\\
{\bf HW address:}  & 0xf\\
{\bf SW prefix:}  & INVTTLCHBI\\
{\bf SW offset:}  & 0x3c\\
\end{tabular}

\vspace{12pt}
INV-TTL CHB input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHBI[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHBI[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHBI[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHBI[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
INVTTLCHBI
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{INVTTLCHCOCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_invttlchco\\
{\bf HW address:}  & 0x10\\
{\bf SW prefix:}  & INVTTLCHCO\\
{\bf SW offset:}  & 0x40\\
\end{tabular}

\vspace{12pt}
INV-TTL CHC output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHCO[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHCO[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHCO[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHCO[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
INVTTLCHCO
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{INVTTLCHCICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_invttlchci\\
{\bf HW address:}  & 0x11\\
{\bf SW prefix:}  & INVTTLCHCI\\
{\bf SW offset:}  & 0x44\\
\end{tabular}

\vspace{12pt}
INV-TTL CHC input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHCI[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHCI[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHCI[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHCI[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
INVTTLCHCI
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{INVTTLCHDOCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_invttlchdo\\
{\bf HW address:}  & 0x12\\
{\bf SW prefix:}  & INVTTLCHDO\\
{\bf SW offset:}  & 0x48\\
\end{tabular}

\vspace{12pt}
INV-TTL CHD output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHDO[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHDO[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHDO[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHDO[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
INVTTLCHDO
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{INVTTLCHDICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_invttlchdi\\
{\bf HW address:}  & 0x13\\
{\bf SW prefix:}  & INVTTLCHDI\\
{\bf SW offset:}  & 0x4c\\
\end{tabular}

\vspace{12pt}
INV-TTL CHD input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHDI[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHDI[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHDI[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}INVTTLCHDI[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
INVTTLCHDI
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{REARCH1OCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_rearch1o\\
{\bf HW address:}  & 0x14\\
{\bf SW prefix:}  & REARCH1O\\
{\bf SW offset:}  & 0x50\\
\end{tabular}

\vspace{12pt}
Rear CH1 output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH1O[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH1O[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH1O[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH1O[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
REARCH1O
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{REARCH1ICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_rearch1i\\
{\bf HW address:}  & 0x15\\
{\bf SW prefix:}  & REARCH1I\\
{\bf SW offset:}  & 0x54\\
\end{tabular}

\vspace{12pt}
Rear CH1 input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH1I[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH1I[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH1I[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH1I[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
REARCH1I
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{REARCH2OCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_rearch2o\\
{\bf HW address:}  & 0x16\\
{\bf SW prefix:}  & REARCH2O\\
{\bf SW offset:}  & 0x58\\
\end{tabular}

\vspace{12pt}
Rear CH2 output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH2O[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH2O[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH2O[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH2O[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
REARCH2O
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{REARCH2ICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_rearch2i\\
{\bf HW address:}  & 0x17\\
{\bf SW prefix:}  & REARCH2I\\
{\bf SW offset:}  & 0x5c\\
\end{tabular}

\vspace{12pt}
Rear CH2 input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH2I[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH2I[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH2I[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH2I[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
REARCH2I
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{REARCH3OCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_rearch3o\\
{\bf HW address:}  & 0x18\\
{\bf SW prefix:}  & REARCH3O\\
{\bf SW offset:}  & 0x60\\
\end{tabular}

\vspace{12pt}
Rear CH3 output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH3O[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH3O[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH3O[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH3O[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
REARCH3O
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{REARCH3ICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_rearch3i\\
{\bf HW address:}  & 0x19\\
{\bf SW prefix:}  & REARCH3I\\
{\bf SW offset:}  & 0x64\\
\end{tabular}

\vspace{12pt}
Rear CH3 input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH3I[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH3I[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH3I[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH3I[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
REARCH3I
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{REARCH4OCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_rearch4o\\
{\bf HW address:}  & 0x1a\\
{\bf SW prefix:}  & REARCH4O\\
{\bf SW offset:}  & 0x68\\
\end{tabular}

\vspace{12pt}
Rear CH4 output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH4O[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH4O[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH4O[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH4O[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
REARCH4O
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{REARCH4ICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_rearch4i\\
{\bf HW address:}  & 0x1b\\
{\bf SW prefix:}  & REARCH4I\\
{\bf SW offset:}  & 0x6c\\
\end{tabular}

\vspace{12pt}
Rear CH4 input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH4I[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH4I[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH4I[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH4I[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
REARCH4I
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{REARCH5OCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_rearch5o\\
{\bf HW address:}  & 0x1c\\
{\bf SW prefix:}  & REARCH5O\\
{\bf SW offset:}  & 0x70\\
\end{tabular}

\vspace{12pt}
Rear CH5 output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH5O[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH5O[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH5O[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH5O[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
REARCH5O
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{REARCH5ICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_rearch5i\\
{\bf HW address:}  & 0x1d\\
{\bf SW prefix:}  & REARCH5I\\
{\bf SW offset:}  & 0x74\\
\end{tabular}

\vspace{12pt}
Rear CH5 input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH5I[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH5I[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH5I[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH5I[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
REARCH5I
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{REARCH6OCR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_rearch6o\\
{\bf HW address:}  & 0x1e\\
{\bf SW prefix:}  & REARCH6O\\
{\bf SW offset:}  & 0x78\\
\end{tabular}

\vspace{12pt}
Rear CH6 output counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH6O[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH6O[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH6O[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH6O[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
REARCH6O
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}
\paragraph*{REARCH6ICR}\vspace{12pt}

\rowcolors{1}{white}{white}
\begin{tabular}{l l }
{\bf HW prefix:}  & pulse\_cnt\_rearch6i\\
{\bf HW address:}  & 0x1f\\
{\bf SW prefix:}  & REARCH6I\\
{\bf SW offset:}  & 0x7c\\
\end{tabular}

\vspace{12pt}
Rear CH6 input counter register

\vspace{12pt}
\noindent
\resizebox{\textwidth}{!}{
\begin{tabular}{>{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} >{\centering\arraybackslash}p{1.5cm} }
31 & 30 & 29 & 28 & 27 & 26 & 25 & 24\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH6I[31:24]}\\
\hline
23 & 22 & 21 & 20 & 19 & 18 & 17 & 16\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH6I[23:16]}\\
\hline
15 & 14 & 13 & 12 & 11 & 10 & 9 & 8\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH6I[15:8]}\\
\hline
7 & 6 & 5 & 4 & 3 & 2 & 1 & 0\\
\hline
\multicolumn{8}{|c|}{\cellcolor{gray!25}REARCH6I[7:0]}\\
\hline
\end{tabular}
}

\begin{itemize}
\item \begin{small}
{\bf 
REARCH6I
} [\emph{read/write}]: Pulse counter value
\end{small}
\end{itemize}



